Subject: Re: [PATCH v2 2/3] remote-helpers: move out of contrib

From: Junio C Hamano <[email-masked]>
Date: Wed, 23 Apr 2014 12:20:47 -0700

Max Horn <[email-masked]> writes:

> That said, I don't know what the criteria are for moving something out
> of contrib.

Because we accept stuff to contrib/, with an assumption that it is
to stay there without contaminating the main part of the system, the
quality of stuff in contrib/ can be sub-par and it is very possible
that a lot of clean-ups and fixes are necessary before moving them
out.

> Perhaps it is OK to move an undocumented remote-helper
> with known bugs out of contrib.

We should strive to apply the same criteria as new submission to the
main part of the system.  And inputs from people like you who have
more experiences than others on the list in dealing with hg-to-git
bridging are very much welcomed to identify and document what kind
of breakages there are, and to come up with the solution to them.